.chat-component
  flex: 1 1 auto
  display: flex
  flex-direction: column
  background: #fafafa
  .messages-container
    flex-direction: column
    flex: 1 1 auto
    overflow: auto
    .message
      background: #ccc
      display: flex
      margin: 20px
      padding: 6px
      box-shadow: 0 0 20px rgba(0, 0, 0, 0.2)
      border-radius: 16px 16px 16px 0
      img
        height: 40px
        width: 40px
        border-radius: 50%
        margin-right: 10px
      .name
        font-size: 10px
        font-weight: 700
        padding-right: 6px
      .date
        font-size: 10px
      .msg
        font-size: 14px

  .new-message-container
    flex: 0 0 40px
    padding: 10px 20px
    display: flex
    input
      flex: 1 1 auto
      height: 30px
      font-size: 12px
      border: solid 2px #aaa
      border-radius: 6px
